Bug 506845 - Kernel panic unplugging a rt73usb dongle
Kernel panic unplugging a rt73usb dongle
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity urgent
: rc
: ---
Assigned To: John W. Linville
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 17:14 EDT by Zack Cerza
Modified: 2014-09-08 10:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netconsole log (3.57 KB, text/plain)
2009-06-18 17:14 EDT, Zack Cerza
no flags Details
URL for jwltest-rt2x00_-Use-ieee80211_hw-_workqueue-again.patch (111 bytes, text/plain)
2009-06-30 11:12 EDT, John W. Linville
no flags Details

  None (edit)
Description Zack Cerza 2009-06-18 17:14:16 EDT
Created attachment 348557 [details]
netconsole log

Description of problem:
Unplugging an rt73usb dongle causes an immediate kernel panic, even if it hasn't been used to connect to any networks. I am currently using a Linksys WUSB54GC on a Thinkpad X31 (i386), but I have reproduced this on x86_64 as well.

Netconsole log attached.

Version-Release number of selected component (if applicable):
kernel-2.6.18-152.el5
Comment 6 John W. Linville 2009-06-30 11:12:22 EDT
Created attachment 349960 [details]
URL for jwltest-rt2x00_-Use-ieee80211_hw-_workqueue-again.patch
Comment 7 RHEL Product and Program Management 2009-06-30 11:14:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Don Zickus 2009-07-07 11:05:29 EDT
in kernel-2.6.18-157.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 12 Steven Drinnan 2009-07-14 01:50:18 EDT
I do not know if this is the same i have a e620 huwai modem when I unplug it while connected I get a crash and all I am shown is the plymouth fedora logo.

I originally had this problem when my modem was not detected by Network manager and had to use system-config-network to make a manual connection. After i reinstalled the problem disappeared.

Sorry did no see the product I use fedora 11
Comment 13 Evan McNabb 2009-07-14 09:29:43 EDT
Steven,

This bug is against RHEL5.4. Please open up a new bug against Fedora 11. Thanks!
Comment 16 errata-xmlrpc 2009-09-02 04:59:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.